Bug 1566088 - Need to add daemon reload suggestion at fstab edit
Summary: Need to add daemon reload suggestion at fstab edit
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Storage_Administration_Guide
Version: 7.4
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Marek Suchánek
QA Contact: Zhang Kexin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 13:38 UTC by John Pittman
Modified: 2020-09-21 09:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-10 12:44:10 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description John Pittman 2018-04-11 13:38:52 UTC
Document URL: 

https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/storage_administration_guide/ch-swapspace

Section Number and Name: 

CHAPTER 15. SWAP SPACE

Describe the issue: 

When changing /etc/fstab online in a systemd environment, a 'systemctl daemon-reload' must be run.  After editing your /etc/fstab with the sed command, you'll need to run a 'systemctl daemon-reload'.  The fstab isn't read and the mount units generated until that is run.  Without that, you will have a mount unit created for the old swap LV that will attempt to mount whenever your trigger a udev change event.  

Suggestions for improvement: 

Maybe a hint at the end of the page.  "If editing /etc/fstab online, ie. with no reboot, then 'systemctl daemon-reload' should be run afterwards to update systemd daemon"


Note You need to log in before you can comment on or make changes to this bug.